# $Revision: 1.17 $, $Date: 2009/02/23 22:12:45 $
Summary:	Messaging Middleware
Summary(pl.UTF-8):	Oprogramowanie pośredniczące w komunikacji
Name:		goldwater
Version:	1.4.0
Release:	8
License:	GPL
Group:		Applications
Source0:	http://www.nfluid.com/download/src/%{name}-%{version}.tgz
# Source0-md5:	c9b80c0983603782f4d2f0d352c0520c
Patch0:		%{name}-no_termcap.patch
Patch1:		%{name}-build.patch
Patch2:		%{name}-soname.patch
Patch3:		%{name}-pic.patch
Patch4:		%{name}-make.patch
Patch5:		%{name}-lvalue.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	expat-devel
BuildRequires:	libuuid-devel
BuildRequires:	phlib-devel >= 1.17
BuildRequires:	readline-devel >= 4.2
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An inherently distributed middleware natively supporting clustering
and automatic fail-over, Goldwater provides high-availability,
connection pooling, resource control, load balancing, process
management, sandboxing and various security layers.

%description -l pl.UTF-8
Jako nieodłącznie dystrybuowane oprogramowanie pośredniczące natywnie
wspierające klastrowanie i automatyczne odtwarzanie po awarii,
Goldwater zapewnia wysoką dostępność, gospodarowanie połączeniami,
kontrolę zasobów, rozkładanie obciążenia, zarządzanie procesami,
uruchamianie w odizolowanym środowisku (sandboxing) oraz różne warstwy
bezpieczeństwa.

%package libs
Summary:	Goldwater Messaging Middleware - libraries
Summary(pl.UTF-8):	Goldwater Messaging Middleware - biblioteki
Group:		Libraries

%description libs
Goldwater Messaging Middleware - Libraries.

%description libs -l pl.UTF-8
Goldwater Messaging Middleware - Biblioteki.

%package devel
Summary:	Goldwater Messaging Middleware - development files
Summary(pl.UTF-8):	Goldwater Messaging Middleware - pliki dla programistów
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	phlib-devel >= 1.17

%description devel
Goldwater Messaging Middleware - development files.

%description devel -l pl.UTF-8
Goldwater Messaging Middleware - pliki dla programistów.

%package static
Summary:	Goldwater Messaging Middleware - static libraries
Summary(pl.UTF-8):	Goldwater Messaging Middleware - statyczne biblioteki
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	phlib-static >= 1.17

%description static
Goldwater Messaging Middleware - static libraries.

%description static -l pl.UTF-8
Goldwater Messaging Middleware - statyczne biblioteki.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
cp -f /usr/share/automake/config.sub .
%{__aclocal} -I .
%{__autoconf}
%configure \
	cflags=our
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README NEWS TODO
%attr(755,root,root) %{_bindir}/*

%files libs
%defattr(644,root,root,755)
%ghost %{_libdir}/lib*.so.1
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%attr(755,root,root) %{_libdir}/Goldwater.dll

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/%{name}

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: goldwater.spec,v $
Revision 1.17  2009/02/23 22:12:45  arekm
- release 8

Revision 1.16  2009/02/23 22:05:42  arekm
- release 7

Revision 1.15  2007/09/06 00:40:31  baggins
- rel 6
- ghost soname links

Revision 1.14  2007/09/06 00:13:23  baggins
- rel 5
- fixed build errors hidden by crappy makefiles

Revision 1.13  2007/09/05 17:43:00  baggins
- rel 4

Revision 1.12  2007/02/13 07:16:47  glen
- tabs in preamble

Revision 1.11  2007/02/12 00:48:53  baggins
- converted to UTF-8

Revision 1.10  2006/09/28 22:45:47  glen
- strict internal deps

Revision 1.9  2005/09/17 10:33:56  arekm
- rebuild with readline 5.0

Revision 1.8  2003/12/05 21:01:46  qboosh
- added pic patch (build shared lib objects with -fPIC)
- fixed configure rebuilding
- release 2

Revision 1.7  2003/12/05 18:09:01  undefine
- update to 1.4.0

Revision 1.6  2003/10/14 09:54:07  qboosh
- ldconfig for -libs, not base

Revision 1.5  2003/10/14 09:48:23  qboosh
- added build and soname pathes, forced our optflags, added ldconfig calls
- s/e2fsprogs-devel/libuuid-devel/, base R: -libs

Revision 1.4  2003/10/13 22:15:38  qboosh
- pl for base package, some cleanups

Revision 1.3  2003/09/09 16:49:03  undefine
- copy config.sub from automake to allow build on athlon

Revision 1.2  2003/09/09 10:19:18  undefine
- add md5sum

Revision 1.1  2003/09/09 00:09:04  undefine
- initial pld version
